> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer-stage.shipbob.dev/2026-07/api/products/get-taxonomies/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server. # Get Taxonomies GET https://sandbox-api.shipbob.com/2026-07/taxonomy Retrieves all available product taxonomies for categorizing products. Reference: https://developer-stage.shipbob.dev/api/products/get-taxonomies ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Request ### Query parameters - `search` (string, optional) ## Response ### 200 Success - `list of Products.TaxonomyViewModel` ## Errors ### 401 Unauthorized Error Unauthorized - `Products.Get.Api.V5.Taxonomy.Unauthorized.OneOf.ProblemDetails.HttpValidationProblemDetails` ### 403 Forbidden Error Forbidden - `Products.Get.Api.V5.Taxonomy.Forbidden.OneOf.ProblemDetails.HttpValidationProblemDetails` ### 500 Internal Server Error Server Error - `any` ### 503 Service Unavailable Error Server Error - `any` ## Types ### Products.TaxonomyViewModel - `children` (list of Products.ChildTaxonomyViewModel, optional, nullable) — Child taxonomy nodes that belong to this category - `id` (integer, optional) — Unique identifier for the taxonomy node - `name` (string, optional, nullable) — Display name of the taxonomy category - `parent` (ProductsTaxonomyViewModelParent, optional, nullable) — Parent taxonomy node in the category hierarchy - `path` (string, optional, nullable) — Full hierarchical path of the taxonomy (e.g., 'Electronics > Computers > Laptops') ### Products.ProblemDetails - `detail` (string, optional, nullable) - `instance` (string, optional, nullable) - `status` (integer, optional, nullable) - `title` (string, optional, nullable) - `type` (string, optional, nullable) ### Products.HttpValidationProblemDetails - `detail` (string, optional, nullable) - `errors` (map from string to list of string, optional, nullable) - `instance` (string, optional, nullable) - `status` (integer, optional, nullable) - `title` (string, optional, nullable) - `type` (string, optional, nullable) ### Products.ChildTaxonomyViewModel - `has_children` (boolean, optional) - `id` (integer, optional) — Unique identifier for the taxonomy node - `name` (string, optional, nullable) — Display name of the taxonomy category - `path` (string, optional, nullable) — Full hierarchical path of the taxonomy (e.g., 'Electronics > Computers > Laptops') ### ProductsTaxonomyViewModelParent Parent taxonomy node in the category hierarchy ### Products.BaseTaxonomyViewModel - `id` (integer, optional) — Unique identifier for the taxonomy node - `name` (string, optional, nullable) — Display name of the taxonomy category - `path` (string, optional, nullable) — Full hierarchical path of the taxonomy (e.g., 'Electronics > Computers > Laptops') ## Examples **Response** ```json [ { "children": [ { "has_children": true, "id": 0, "name": "string", "path": "string" } ], "id": 0, "name": "string", "parent": { "id": 0, "name": "string", "path": "string" }, "path": "string" } ] ``` **SDK Code** ```python default import requests url = "https://sandbox-api.shipbob.com/2026-07/taxonomy" querystring = {"search":"string"} headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript default const url = 'https://sandbox-api.shipbob.com/2026-07/taxonomy?search=string'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://sandbox-api.shipbob.com/2026-07/taxonomy?search=string" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://sandbox-api.shipbob.com/2026-07/taxonomy?search=string") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://sandbox-api.shipbob.com/2026-07/taxonomy?search=string") .header("Authorization", "Bearer ") .asString(); ``` ```php default request('GET', 'https://sandbox-api.shipbob.com/2026-07/taxonomy?search=string', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://sandbox-api.shipbob.com/2026-07/taxonomy?search=string"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2026-07/taxonomy?search=string")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```